Subject: [Cbor] I-D Action: draft-ietf-cbor-cddl-control-06.txt

From: [email-masked]
Date: Mon, 27 Sep 2021 02:20:38 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Concise Binary Object Representation Maintenance and Extensions WG of the IETF.

        Title           : Additional Control Operators for CDDL
        Author          : Carsten Bormann
	Filename        : draft-ietf-cbor-cddl-control-06.txt
	Pages           : 13
	Date            : 2021-09-27

Abstract:
   The Concise Data Definition Language (CDDL), standardized in RFC
   8610, provides "control operators" as its main language extension
   point.

   The present document defines a number of control operators that were
   not yet ready at the time RFC 8610 was completed: .plus, .cat and
   .det for the construction of constants, .abnf/.abnfb for including
   ABNF (RFC 5234/RFC 7405) in CDDL specifications, and .feature for
   indicating the use of a non-basic feature in an instance.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-cbor-cddl-control/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-cbor-cddl-control-06.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-cbor-cddl-control-06

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 27 Sep 2021 13:45:11 +0200

-06 has all the changes resulting from directorate reviews, as well as the move to standards-track.

Unfortunately, it also has the changes resulting from the recent flag-day [1] modification to RFCXMLv3 semantics.
This modification solves the “”foo”” problem that was noted in the reviews, but creates new ones in the plaintext version, e.g.:

OLD:
   The example in Figure 2 builds a text string named "a" out of
   concatenating the target text string ""foo"" and the controller byte	 

NEW:
   The example in Figure 2 builds a text string named a out of	
   concatenating the target text string "foo" and the controller byte

…as can be seen in https://www.ietf.org/rfcdiff?url2=draft-ietf-cbor-cddl-control-06 (see also the similar problem with “text”/text).

This is now no longer readable in the plaintext, but still OK in the HTML (there was no change to the HTML/PDF semantics).
I’m sure this will be resolved by the RFC-editor along with similar problems that might occur in other drafts, so I didn’t attempt to invent a fix.
(Of course, my system is still showing the plaintext generated with the 2014–2021 RFCXMLv3 semantics, so I could not see the impairment before submitting.)

Grüße, Carsten

[1] http://www.catb.org/jargon/html/F/flag-day.html

> On 2021-09-27, at 11:20, [email-masked] wrote:
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt